Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Enum Class TransactionState

java.lang.Object
java.lang.Enum<TransactionState>
org.firebirdsql.gds.ng.TransactionState

All Implemented Interfaces:
  `Serializable`, `Comparable<TransactionState>`, `Constable`

public enum TransactionState extends Enum<TransactionState>
Transactions states.

Since:
  3.0
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTIVE`
`COMMITTED`
`COMMITTING`
`PREPARED`
`PREPARING`
`ROLLED_BACK`
`ROLLING_BACK`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`isValidTransition(TransactionState toState)`
Is the transition to `toState` valid from this state.
`final Set<TransactionState>`
`validTransitionSet()`
`static TransactionState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TransactionState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACTIVE

public static final TransactionState ACTIVE

### PREPARING

public static final TransactionState PREPARING

### PREPARED

public static final TransactionState PREPARED

### COMMITTING

public static final TransactionState COMMITTING

### COMMITTED

public static final TransactionState COMMITTED

### ROLLING_BACK

public static final TransactionState ROLLING_BACK

### ROLLED_BACK

public static final TransactionState ROLLED_BACK

## Method Details

### values

public static TransactionState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TransactionState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isValidTransition

public final boolean isValidTransition(TransactionState toState)
Is the transition to `toState` valid from this state.

Parameters:
  `toState` - The next state
Returns:
  `true` transition is valid

### validTransitionSet

public final Set<TransactionState> validTransitionSet()

Returns:
  Set of valid transitions from this state